=== modified file 'loggerhead/controllers/atom_ui.py'
--- loggerhead/controllers/atom_ui.py	2006-12-20 21:17:53 +0000
+++ loggerhead/controllers/atom_ui.py	2007-03-29 06:55:55 +0000
@@ -39,12 +39,10 @@
         entries = list(h.get_changes(list(revid_list)[:pagesize]))
 
         vals = {
-            'external_url': cherrypy.request.base,
             'branch': self._branch,
             'changes': entries,
             'util': util,
             'history': h,
-            'scan_url': '/changes',
             'updated': entries[0].date.isoformat() + 'Z',
         }
         h.flush_cache()

=== modified file 'loggerhead/templates/atom.kid'
--- loggerhead/templates/atom.kid	2006-12-20 21:24:32 +0000
+++ loggerhead/templates/atom.kid	2007-03-29 06:55:55 +0000
@@ -2,17 +2,18 @@
 <feed xmlns="http://www.w3.org/2005/Atom" xmlns:py="http://purl.org/kid/ns#">
     <title> bazaar changes for ${branch.friendly_name} </title>
     <updated>${updated}</updated>
-    <id>${tg.url([ external_url, branch.group_name, branch.name, 'atom' ])}</id>
-    <link rel="self" href="${tg.url([ external_url, branch.group_name, branch.name, 'atom' ])}" />
+    <id>${branch.url(['atom'])}</id>
+    <link rel="self" href="${branch.url([''])}" />
 
 	<entry py:for="entry in changes">
 	    <title> ${entry.revno}: ${entry.short_comment} </title>
 	    <updated>${entry.date.isoformat() + 'Z'}</updated>
-	    <id>${tg.url([ external_url, branch.group_name, branch.name, 'revision', entry.revid ])}</id>
+	    <id>${branch.url(['revision', entry.revid ])}</id>
 	    <author> <name> ${util.hide_email(entry.author)} </name> </author>
 	    <content type="text">
             ${entry.comment}
 	    </content>
-	    <link rel="alternate" href="${tg.url([ external_url, branch.group_name, branch.name, 'revision', entry.revid ])}" />
+	    <link rel="alternate"
+                  href="${branch.url(['revision', entry.revid ])}" />
 	</entry>
 </feed>

